@import "../../assets/scss/global";

.background {
    @include largeScreen {
        background: url("/images/home/customer-service/bg-image.png") no-repeat top 30% left padding-box;
        background-size: 100%;
    }
}

.customer-review-wrapper {
    box-sizing: border-box;
    padding: 0;
    height: 640px;
    @include largeScreen {
        height: 700px;
        padding: 0 100px;
    }

    [class~="slider-control-bottomcenter"]{
        bottom: 65px !important;
    }

    .dot-wrapper {
        display: flex;
        column-gap: 5px;

        .dot-item {
            height: 8px;
            width: 8px;
            background: #FFBEAF;
            border-radius: 100%;
            box-sizing: border-box;
        }

        .active {
            width: 40px;
            border-radius: 4px;
            background: $primary-color;
        }
    }

    h2 {
        width: fit-content;
        margin: -20px auto  0 !important;
        text-align: center;
        font-size: 20px;
        line-height: 30px;
        white-space: pre-line;

        @include largeScreen {
            margin: 0 auto !important;
            font-size: 32px;
            line-height: 48px;
        }
    }

    .content {
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
        background: #FFFFFF;
        box-shadow: 0 20px 60px rgba(248, 76, 38, 0.15);
        border-radius: 24px;
        font-weight: 500;
        box-sizing: border-box;
        padding: 24px 12px;
        margin-bottom: 50px;

        @include largeScreen {
            margin: 100px 0 0;
            box-shadow: initial;
            border-radius: initial;
            background: initial;
        }

        .review-content {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            height: 420px;
            width: 100%;
            margin-bottom: initial;
            opacity: 1;

            @include largeScreen {
                height: 0;
                width: 0;
                opacity: 0;
                transform: scale(0.5);
                user-select: none;
                &.active-content{
                    opacity: 1;
                    height: 390px;
                    width: 370px;
                    transform: scale(1);
                    transition: opacity .3s ease-in, transform .5s ease;
                }
            }

            > p {
                margin: 38px 0;
            }

            .current-avatar {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;

                & > div {
                    height: 25px;
                    width: 60px;
                    border-top: 2px solid $primary-color;
                }
                .name {
                    margin-top: 10px;
                    font-weight: 700;
                    line-height: 24px;
                }
            }
        }
        
        .box-item-review{
            img:hover:not(.active){
                box-shadow: 0 0 20px $primary-color;
                border-radius: 40px;
                opacity: 1;
                transform: scale(1);
                transition: opacity 0.3s ease-in-out;
            }
            img{
                opacity: 0.5;
            }
            .review1 {
                position: absolute;
                top: 0;
                left: 10%;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }
    
            .review2 {
                position: absolute;
                top: 45%;
                left: 0;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }
    
            .review3 {
                position: absolute;
                bottom: 0;
                left: 10%;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }
    
            .review4 {
                position: absolute;
                top: 0;
                right: 10%;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }
    
            .review5 {
                position: absolute;
                top: 45%;
                right: 0;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }
    
            .review6 {
                position: absolute;
                bottom: 0;
                right: 10%;
                transition: transform .3s ease-in;
                @include largeScreen {
                    cursor: pointer;
                }
            }

            .active{
                box-shadow: $primary-color 0px 1px 4px, $primary-color 0px 0px 0px 3px;
                opacity: 1;
                transform: scale(1.3);
                object-fit: contain;
                border-radius: 50%;
                transition: transform .3s ease-in, opacity .3s ease-in;
            }
        }
    }
}